## ros-bouncy-rviz-yaml-cpp-vendor 4.0.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(rviz_yaml_cpp_vendor)

find_package(ament_cmake REQUIRED)

set(PACKAGE_VERSION "1.0.0")

macro(build_yaml_cpp)
  set(extra_cmake_args)
  if(DEFINED CMAKE_BUILD_TYPE)
    list(APPEND extra_cmake_args -DCMAKE_BUILD_TYPE=${CMAKE_BUILD_TYPE})
  endif()
  if(NOT WIN32)
    list(APPEND extra_cmake_args "-DCMAKE_CXX_FLAGS=-std=c++14 -w")
    list(APPEND extra_cmake_args "-DCMAKE_C_FLAGS=-w")
  endif()

  list(APPEND extra_cmake_args "-DYAML_CPP_BUILD_TESTS=OFF")
  list(APPEND extra_cmake_args "-DYAML_CPP_BUILD_TOOLS=OFF")
  list(APPEND extra_cmake_args "-DYAML_CPP_BUILD_CONTRIB=OFF")
  list(APPEND extra_cmake_args "-DBUILD_SHARED_LIBS=ON")

  if(WIN32 AND NOT ${CMAKE_VERBOSE_MAKEFILE})
    set(should_log ON)  # prevent warnings in Windows CI
  else()
    set(should_log OFF)
  endif()

  include(ExternalProject)
  # This specific version (past the current latest release of 0.5.3) is required to make
  # yaml-cpp relocatable, hopefully it is released again soon.
  # See: https://github.com/jbeder/yaml-cpp/pull/538
  ExternalProject_Add(yaml_cpp-86ae3a5
    URL https://github.com/jbeder/yaml-cpp/archive/86ae3a5aa7e2109d849b2df89176d6432a35265d.zip
    URL_MD5 28091f7f66086a84b14da1f5d798c6a6
    TIMEOUT 600
    LOG_CONFIGURE ${should_log}
    LOG_BUILD ${should_log}
    CMAKE_ARGS
      -DCMAKE_INSTALL_PREFIX=${CMAKE_CURRENT_BINARY_DIR}/yaml_cpp_install
      ${extra_cmake_args}
      -Wno-dev
  )

  # The external project will install to the build folder, but we'll install that on make install.
  install(
    DIRECTORY
      ${CMAKE_CURRENT_BINARY_DIR}/yaml_cpp_install/
    DESTINATION
      ${CMAKE_INSTALL_PREFIX}/opt/rviz_yaml_cpp_vendor
  )
endmacro()

build_yaml_cpp()

if(WIN32)
  ament_environment_hooks(env_hook/rviz_yaml_cpp_vendor_library_path.bat)
else()
  ament_environment_hooks(env_hook/rviz_yaml_cpp_vendor_library_path.sh)
endif()

ament_package(
  CONFIG_EXTRAS "rviz_yaml_cpp_vendor-extras.cmake.in"
)

=== debian/changelog ===
ros-bouncy-rviz-yaml-cpp-vendor (4.0.2-0bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Mon, 20 Aug 2018 07:00:00 -0000

ros-bouncy-rviz-yaml-cpp-vendor (4.0.1-0bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Thu, 28 Jun 2018 07:00:00 -0000

ros-bouncy-rviz-yaml-cpp-vendor (4.0.0-0bionic) bionic; urgency=high

  * Fixed build with yaml-cpp installed system-wide. (#160 <https://github.com/ros2/rviz/issues/160>)
  * Contributors: Martin Idel, mjbogusz

 -- William Woodall <william@osrfoundation.org>  Wed, 27 Jun 2018 07:00:00 -0000

ros-bouncy-rviz-yaml-cpp-vendor (3.0.0-0bionic) bionic; urgency=high

  * Numerous changes to support Windows.
  * Contributors: William Woodall

 -- William Woodall <william@osrfoundation.org>  Wed, 07 Feb 2018 08:00:00 -0000

ros-bouncy-rviz-yaml-cpp-vendor (2.0.0-0bionic) bionic; urgency=high

  * First version for ROS 2.
  * Contributors: Steven! Ragnarok, William Woodall

 -- William Woodall <william@osrfoundation.org>  Fri, 08 Dec 2017 08:00:00 -0000

ros-bouncy-rviz-yaml-cpp-vendor (1.12.11-0bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 02 Aug 2017 07:00:00 -0000

ros-bouncy-rviz-yaml-cpp-vendor (1.12.10-0bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Tue, 06 Jun 2017 00:37:00 -0000

ros-bouncy-rviz-yaml-cpp-vendor (1.12.9-0bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Mon, 05 Jun 2017 21:23:00 -0000

ros-bouncy-rviz-yaml-cpp-vendor (1.12.8-0bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Sun, 07 May 2017 07:00:00 -0000

ros-bouncy-rviz-yaml-cpp-vendor (1.12.7-0bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Fri, 05 May 2017 07:00:00 -0000

ros-bouncy-rviz-yaml-cpp-vendor (1.12.6-0bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Tue, 02 May 2017 07:00:00 -0000

ros-bouncy-rviz-yaml-cpp-vendor (1.12.5-0bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Mon, 01 May 2017 07:00:00 -0000

ros-bouncy-rviz-yaml-cpp-vendor (1.12.4-0bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Thu, 27 Oct 2016 07:00:00 -0000

ros-bouncy-rviz-yaml-cpp-vendor (1.12.3-0bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 19 Oct 2016 07:00:00 -0000

ros-bouncy-rviz-yaml-cpp-vendor (1.12.2-0bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Tue, 18 Oct 2016 07:00:00 -0000

ros-bouncy-rviz-yaml-cpp-vendor (1.12.1-0bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 20 Apr 2016 07:00:00 -0000

ros-bouncy-rviz-yaml-cpp-vendor (1.12.0-0bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Mon, 11 Apr 2016 07:00:00 -0000

ros-bouncy-rviz-yaml-cpp-vendor (1.11.14-0bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Sun, 03 Apr 2016 07:00:00 -0000

ros-bouncy-rviz-yaml-cpp-vendor (1.11.13-0bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 23 Mar 2016 07:00:00 -0000

ros-bouncy-rviz-yaml-cpp-vendor (1.11.12-0bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 23 Mar 2016 02:58:00 -0000

ros-bouncy-rviz-yaml-cpp-vendor (1.11.11-0bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 23 Mar 2016 01:16:00 -0000

ros-bouncy-rviz-yaml-cpp-vendor (1.11.10-0bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Tue, 13 Oct 2015 07:00:00 -0000

ros-bouncy-rviz-yaml-cpp-vendor (1.11.9-0bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Mon, 21 Sep 2015 07:00:00 -0000

ros-bouncy-rviz-yaml-cpp-vendor (1.11.8-0bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 05 Aug 2015 07:00:00 -0000

ros-bouncy-rviz-yaml-cpp-vendor (1.11.7-0bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Mon, 02 Mar 2015 08:00:00 -0000

ros-bouncy-rviz-yaml-cpp-vendor (1.11.6-0bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Fri, 13 Feb 2015 08:00:00 -0000

ros-bouncy-rviz-yaml-cpp-vendor (1.11.5-0bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 11 Feb 2015 08:00:00 -0000

ros-bouncy-rviz-yaml-cpp-vendor (1.11.4-0bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Thu, 30 Oct 2014 07:00:00 -0000

ros-bouncy-rviz-yaml-cpp-vendor (1.11.3-0bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Thu, 26 Jun 2014 07:00:00 -0000

ros-bouncy-rviz-yaml-cpp-vendor (1.11.2-0bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Tue, 13 May 2014 07:00:00 -0000

ros-bouncy-rviz-yaml-cpp-vendor (1.11.1-0bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Thu, 01 May 2014 07:00:00 -0000

ros-bouncy-rviz-yaml-cpp-vendor (1.11.0-0bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 05 Mar 2014 05:40:00 -0000

ros-bouncy-rviz-yaml-cpp-vendor (1.10.14-0bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 05 Mar 2014 05:35:00 -0000

ros-bouncy-rviz-yaml-cpp-vendor (1.10.13-0bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 26 Feb 2014 08:00:00 -0000

ros-bouncy-rviz-yaml-cpp-vendor (1.10.12-0bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Tue, 25 Feb 2014 08:00:00 -0000

ros-bouncy-rviz-yaml-cpp-vendor (1.10.11-0bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Sun, 26 Jan 2014 08:00:00 -0000

ros-bouncy-rviz-yaml-cpp-vendor (1.10.10-0bionic) bionic; urgency=high





=== debian/control ===
Source: ros-bouncy-rviz-yaml-cpp-vendor
Section: misc
Priority: extra
Maintainer: William Woodall <william@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-bouncy-ament-cmake, ros-bouncy-ros-workspace
Homepage: https://github.com/jbeder/yaml-cpp
Standards-Version: 3.9.2

Package: ros-bouncy-rviz-yaml-cpp-vendor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-bouncy-ros-workspace
Description: Wrapper around yaml-cpp, it provides a fixed CMake module and an ExternalProject build of it.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/bouncy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/bouncy/setup.sh" ]; then . "/opt/ros/bouncy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/bouncy" \
		-DAMENT_PREFIX_PATH="/opt/ros/bouncy"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/bouncy/setup.sh" ]; then . "/opt/ros/bouncy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/bouncy/setup.sh" ]; then . "/opt/ros/bouncy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/bouncy/setup.sh" ]; then . "/opt/ros/bouncy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-bouncy-rviz-yaml-cpp-vendor//opt/ros/bouncy/lib/:$(CURDIR)/debian/ros-bouncy-rviz-yaml-cpp-vendor//opt/ros/bouncy/opt/rviz_yaml_cpp_vendor/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/bouncy/setup.sh" ]; then . "/opt/ros/bouncy/setup.sh"; fi && \
	dh_auto_install
